<h1>{{ title }}</h1>

<app-menu></app-menu>

<!-- Extract to app component -->
<div class="container">
  <header class="p-5 mb-4 bg-light rounded-3">
    <h1>Welcome to Zenika Ecommerces</h1>
    <p>
      Your basket amounts to
      {{ customerService.Total | currency: "EUR":"symbol":"2.2-2" }}
    </p>
    <p><a class="btn btn-primary btn-large">See my basket</a></p>
  </header>

  <hr />

  <div class="row">
    <div class="col-lg-12">
      <h2>Last products</h2>
    </div>
  </div>
  <div class="row text-center">
    <ng-container *ngFor="let product of filteredProducts">
      <div
        *ngIf="product && productService.isAvailable(product)"
        class="col-md-3 col-sm-6 product-item"
      >
        <!-- Extract to product component -->
        <app-product
          [product]="product"
          (addToBasket)="addAndDecrease($event)"
        ></app-product>
        <!-- End product component -->
      </div>
    </ng-container>
  </div>

  <hr />

  <footer>Copyright &copy; Your Website 2022</footer>
</div>
<!-- End app component -->
